import { CommunicationService } from './services/CommunicationService';
export declare enum LogLevel {
    DEBUG = "DEBUG",
    INFO = "INFO",
    WARN = "WARN",
    ERROR = "ERROR"
}
export declare class Logger {
    private static isDebug;
    private name;
    private static communicationService;
    static enableDebugLogging(): void;
    static disableDebugLogging(): void;
    static setCommunicationService(communicationService: CommunicationService): void;
    static for(name: string): Logger;
    private constructor();
    debug(msg: string, ...args: any[]): void;
    info(msg: string, ...args: any[]): void;
    warn(msg: string, ...args: any[]): void;
    error(msg: string, ...args: any[]): void;
    private sendLogToDevice;
}
