export interface IAction {
    readonly name: string;
    readonly isDeviceAction: boolean;
    readonly data?: {
        [index: string]: unknown;
    };
}
export interface ActionResponse {
    name: string;
    success: boolean;
    data?: {
        [key: string]: unknown;
    };
    message?: string;
    throwable?: string;
    isIgnorable?: boolean;
}
export interface EventResponse {
    name: string;
    data: {
        [key: string]: unknown;
    };
    message: string;
}
export interface ResponseJson {
    device?: string;
    type: string;
    id?: number;
    action?: ActionResponse;
    event?: EventResponse;
    version?: string;
}
