import { IAction } from './IAction';
export declare class ValidateSoftwareUpdateAction implements IAction {
    readonly name = "ValidateSoftwareUpdate";
    readonly isDeviceAction = true;
    data: {
        [index: string]: unknown;
    };
    constructor(filePath: string, securityToken: string);
}
export interface SoftwareUpdateInfo {
    name: string;
    version: number;
    type: string;
    isNewerVersion: boolean;
    isDowngrade: boolean;
    isSupported: boolean;
    errorReason?: string;
    allowMultiple?: boolean;
    requirements: string[];
    updateComponents?: SoftwareUpdateInfo[];
    selectedComponents?: SoftwareUpdateInfo[];
}
