export declare enum PickingMode {
    DISABLED,
    ENABLED
}
export declare enum AimMode {
    Default,
    PickingMode,
    RepeatedAiming,
    PickingModeRepeatedAiming,
    ContinuousScanning,
    PickingModeContinuousScanning,
    RepeatedAimingContinuousScanning,
    PickingModeRepeatedAimingContinuousScanning
}
export declare enum TriggerMode {
    Disabled,
    Button,
    Touch,
    ButtonAndTouch,
    DefaultEnabled,
    Enabled,
    Gesture,
    ButtonAndGesture,
    TouchAndGesture,
    ButtonTouchAndGesture
}
export interface DeviceSupport {
    supportMotionTrigger?: boolean;
    supportsTouchToScan?: boolean;
    supportsBigUpdatePackages?: boolean;
    supportsBahnSchrift?: boolean;
    supportsBahnSchriftAllChars?: boolean;
    supportsFontSizesForLiberationMono?: boolean;
    supportsMultiBurst?: boolean;
    supportsLightTag?: boolean;
    supportsTriggerModeEnabled?: boolean;
}
export interface DeviceState {
    isConnecting: boolean;
    isConnected: boolean;
    address: string;
    connectionCode?: string;
    batteryLevel: number;
    status: string;
    allowHid: boolean;
    isCharging: boolean;
    isSearchingToReconnect: boolean;
    prefersReconnect: boolean;
    reconnectTimeout: number;
    preferredAimMode: AimMode;
    preferredPickingMode: PickingMode;
    preferredTriggerMode: TriggerMode;
    actualTriggerMode: TriggerMode;
    prefersShutdownOnCharge: boolean;
    rules?: any;
    decoderBoardSettings: any;
    reconnect: boolean;
    serialNumber: string;
    deviceSupport?: DeviceSupport;
}
export interface SetDeviceState {
    prefersReconnect?: boolean;
    preferredAimMode?: AimMode;
    preferredPickingMode?: PickingMode;
    preferredTriggerMode?: TriggerMode;
    prefersShutdownOnCharge?: boolean;
    rules?: any;
    reconnectTimeout?: any;
}
