import { LogLevel } from '../Logger';
import { CommunicationService, RequestJson } from './CommunicationService';
import { NimmstaDevice } from '../NimmstaDevice';
import { ActionResponse, IAction } from '../models/actions/IAction';
export declare class AccessibilityCommunicationService extends CommunicationService {
    private nimmstaInputElement;
    private nimmstaOutputElement;
    private queue;
    private nextSendTimeout;
    private waitingForNextTimeout;
    private currentSend;
    private currentSendTime;
    private currentSendQueue;
    private isFirstSend;
    private isCheckingOutputField;
    private currentSelectionStart?;
    private currentSelectionEnd?;
    private currentActiveElement?;
    private readonly SEND_TIMEOUT_CHECK_TIMEOUT_FRACTION;
    private readonly RETRY_COMMIT_TIMEOUT_FRACTION;
    initialize(): void;
    tryConnect(): void;
    private createElements;
    sendGeneralAction(action: IAction): Promise<ActionResponse>;
    sendDeviceAction(device: NimmstaDevice, action: IAction): Promise<ActionResponse>;
    sendLog(logLevel: LogLevel, log: string): void;
    addRequest(request: RequestJson): void;
    private processElements;
    private checkOutputFieldState;
    private rejectCurrentSending;
    private startTimeoutCheckOutputField;
    private getNextAndProcessElement;
    private getElementsNextInQueue;
    private setNimmstaOutputElementValue;
    private storeCurrentElement;
    private triggerFocus;
    private checkNimmstaInputField;
    private getSplittedInput;
    private addNimmstaElement;
    sendAllowShutdown(): void;
    close(): void;
    isClosed(): boolean;
}
