import { LogLevel } from '../Logger';
import { ActionResponse, IAction } from '../models/actions/IAction';
import { NimmstaDevice } from '../NimmstaDevice';
import { CommunicationService } from './CommunicationService';
export declare class WebsocketCommunicationService extends CommunicationService {
    static URL: string;
    private MAX_TRIES;
    private MAX_CONNECT_RETRIES;
    private socket;
    private retry;
    private isFocused;
    private isConnecting;
    initialize(): void;
    sendGeneralAction(action: IAction): Promise<ActionResponse>;
    sendDeviceAction(device: NimmstaDevice, action: IAction): Promise<ActionResponse>;
    sendLog(logLevel: LogLevel, log: string): void;
    tryConnect(): void;
    private connect;
    private send;
    private trySend;
    sendAllowShutdown(): void;
    close(): void;
    isClosed(): boolean;
}
