import { NimmstaConnectionManager } from './nimmsta.test.bundle';
import { AddressConnectionTest } from './tests/AddressConnectionTest';
import { ConnectCodeConnectionTest } from './tests/ConnectCodeConnectionTest';
import { DisconnectTest } from './tests/DisconnectTest';
import { GetConnectedDevicesTest } from './tests/GetConnectedDevicesTest';
import { GetConnectionCodeTest } from './tests/GetConnectionCodeTest';
import { GetDeviceInfoTest } from './tests/GetDeviceInfoTest';
import { SetDeviceSettingsTest } from './tests/SetDeviceSettingsTest';
import { SetLayoutTest } from './tests/SetLayoutTest';
import { SetLedColorTest } from './tests/SetLedColorTest';
export declare class NimmstaTestSuite {
    START_BUTTON_ID: string;
    DISCONNECT_BUTTON_ID: string;
    RESET_BUTTON_ID: string;
    connectionManager: NimmstaConnectionManager;
    container: HTMLElement;
    startButton: HTMLElement;
    disconnectButton: HTMLElement;
    resetButton: HTMLElement;
    tests: (AddressConnectionTest | DisconnectTest | ConnectCodeConnectionTest | GetConnectedDevicesTest | GetConnectionCodeTest | GetDeviceInfoTest | SetLayoutTest | SetLedColorTest | SetDeviceSettingsTest)[];
    constructor();
    start(): Promise<void>;
    reset(): void;
    private bindButtons;
    private addTests;
    sleep(ms: number): Promise<unknown>;
}
